package com.cm.common.plugin.enums.dynamic;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: FieldRequireTypeEnum
 * @Description: 字段校验类型
 * @Author: WangGeng
 * @Date: 2019/12/4 17:29
 * @Version: 1.0
 **/
public enum FieldRequireTypeEnum {
    NONE("none"),
    REQUIRED("required"),
    PHONE("phone"),
    EMAIL("email"),
    URL("url"),
    NUMBER("number"),
    DATE("date"),
    IDENTITY("identity"),
    CUSTOM("custom");

    private String value;

    FieldRequireTypeEnum(String value) {
        this.value = value;
    }

    public String getValue() {
        return value == null ? "" : value;
    }
}
